VideoAbuseReportReasons: list

擷取可用於檢舉濫用影片的原因清單。

配額影響:呼叫這個方法會產生 1 個單位的配額費用。

常見用途

要求

HTTP 要求

GET https://www.googleapis.com/youtube/v3/videoAbuseReportReasons

授權

這項要求必須至少具備下列其中一個範圍的授權 (進一步瞭解驗證和授權)。

範圍
https://www.googleapis.com/auth/youtube
https://www.googleapis.com/auth/youtube.force-ssl
https://www.googleapis.com/auth/youtube.readonly

參數

下表列出這項查詢支援的參數。列出的所有參數都是查詢參數。

參數
必要參數
part string
part 參數會指定 API 回應中包含的 videoAbuseReportReason 資源部分。支援的值為 id 和 snippet。
選用參數
hl string
hl 參數會指定 API 回應中文字值應使用的語言。預設值為 en_US。

要求主體

呼叫這個方法時,請勿提供要求主體。

回應

如果成功的話,這個方法會傳回回應內文,其結構如下:

{
  "kind": "youtube#videoAbuseReportReasonListResponse",
  "etag": etag,
  "items": [
    videoAbuseReportReason resource
  ]
}

屬性

下表定義這項資源中顯示的屬性:

屬性
kind string
識別 API 資源的類型。值為 youtube#videoAbuseReportReasonListResponse。
etag etag
這項資源的 Etag。
items[] list
videoAbuseReportReason 資源清單,每項資源都會指出影片可能因含有不當內容而遭檢舉的原因。呼叫 videos.reportAbuse 方法時,請使用這項資訊,實際檢舉含有不當內容的影片。

錯誤

下表列出 API 可能在呼叫這個方法時傳回的錯誤訊息。詳情請參閱錯誤訊息說明文件。

錯誤類型 錯誤詳情 說明
forbidden (403) forbidden

試試看!

使用 APIs Explorer 呼叫這個 API,並查看 API 要求和回應。